Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1196920 - Review Request: log4shib - C++ logging library for Shibboleth (OpenSAML)
Summary: Review Request: log4shib - C++ logging library for Shibboleth (OpenSAML)
Keywords:
Status: CLOSED DUPLICATE of bug 1385856
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1196917 1196918
TreeView+ depends on / blocked
 
Reported: 2015-02-27 01:05 UTC by Guido Grazioli
Modified: 2016-10-17 20:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1385856 (view as bug list)
Environment:
Last Closed: 2016-10-17 12:44:42 UTC
Type: ---


Attachments (Terms of Use)

Description Guido Grazioli 2015-02-27 01:05:19 UTC
Spec URL: 
https://guidograzioli.fedorapeople.org/packages/log4shib/log4shib.spec

SRPM URL: 
https://guidograzioli.fedorapeople.org/packages/log4shib/log4shib-1.0.9-1.fc23.src.rpm

Description: 
log4shib is a forked version of log4cpp that has been created for the
Shibboleth project to ensure a consistent, working snapshot that builds
reliably on the necessary platforms.

Fedora Account System Username:guidograzioli

Additional info:
opensaml build is currently (2.4.3) falling back to using log4cpp; for updating to opensaml 2.5.3 (xmltooling 1.5.3) this package becomes necessary.

Comment 1 Michael Schwendt 2015-03-11 11:55:50 UTC
> Name:           log4shib
> Group:          Development/Libraries

Runtime library base packages have been in group "System Environment/Libraries" for many years. The group "Development/Libraries" is for the separate build-time -devel packages.

Nowadays, the Group tag is optional, however:
https://fedoraproject.org/wiki/Packaging:Guidelines#Group_tag

Reusing a Fedora spec file for EL is not always a good idea, since differences in updates and rebuilds introduce a lot of irrelevant crap in the %changelog.


> BuildRequires:  gcc-c++

JFYI, it is not necessary yet to add this.
https://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2


> %package doc
> Summary:        Development documentation for %{name}
> Group:          Development/Libraries

If at all, it would be group "Documentation".


> Requires:       %{name}%{?_isa} = %{version}-%{release}

Although the guidelines don't cover it [yet], documentation packages ought to stay free of such unnecessary dependencies. It should be possible to install documentation packages without pulling in unneeded runtime libs and other dependencies. That is especially true, if the documentation does not need the base package to be displayed/viewed by the user.


> # Packages are not supposed to add %optflags or %__global_ldflags to *.pcs
> sed -i -e "s|%{optflags}||;s|%{__global_ldflags}||" %{name}.pc

This will require a second look as I've only skimmed over the spec file. It would be good if the .pc did not add any other unnecessary stuff to CFLAGS/LDFLAGS.


> %files
> %defattr(-, root, root, 0755)

Superfluous. %defattr is not necessary anymore for a long time, and a change from the default (-,root,root,-) would need to be explained:
https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions


> %doc ChangeLog 

There are a couple of other plain text doc files. Why not include them?


> %{_bindir}/log4shib-config

This will need to be checked for multilib conflicts as well as for inserted CFLAGS/LDFLAGS just like the .pc file.  In case there is a conflict, a common work-around is to have the script query pkg-config instead of redefining paths/values itself.

Comment 2 Guido Grazioli 2015-03-11 13:12:00 UTC
(In reply to Michael Schwendt (Fedora Packager Sponsors Group) from comment #1)

aaargh, apologies for having been lazy; I didn't handle a new package for quite some time (ie years) so I'd thought that stealing from the log4cpp spec would have been a nice way to avoid to go thru the guidelines again. I'll address the issues shortly, thanks for your time.

Comment 3 Raphael Groner (DAASI International) 2016-08-08 07:51:07 UTC
Any news here?

Comment 4 Raphael Groner 2016-10-03 11:44:46 UTC
Friendly reminder. Are you still interested in this package?

Comment 5 Guido Grazioli 2016-10-17 12:44:42 UTC
No.

Comment 6 Raphael Groner 2016-10-17 18:45:40 UTC
This library is needed to update shibboleth stack, I'll take over here.

Comment 7 Raphael Groner 2016-10-17 20:03:26 UTC

*** This bug has been marked as a duplicate of bug 1385856 ***


Note You need to log in before you can comment on or make changes to this bug.